Bug 1406286 (CVE-2016-10011) - CVE-2016-10011 openssh: Leak of host private key material to privilege-separated child process via realloc()
Summary: CVE-2016-10011 openssh: Leak of host private key material to privilege-separa...
Status: CLOSED WONTFIX
Alias: CVE-2016-10011
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20161219,reported=2...
Keywords: Security
Depends On: 1406296
Blocks: 1406299 1415638
TreeView+ depends on / blocked
 
Reported: 2016-12-20 08:25 UTC by Andrej Nemec
Modified: 2017-11-02 00:19 UTC (History)
8 users (show)

(edit)
It was found that the host private key material could possibly leak to the privilege-separated child processes via re-allocated memory. An attacker able to compromise the privilege-separated process could therefore obtain the leaked key information.
Clone Of:
(edit)
Last Closed: 2017-01-16 06:11:30 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2029 normal SHIPPED_LIVE Moderate: openssh security, bug fix, and enhancement update 2017-08-01 18:11:55 UTC

Description Andrej Nemec 2016-12-20 08:25:06 UTC
It was found that there is a theoretical leak of host private key material to privilege-separated child processes via realloc() when reading keys. No such leak was observed in practice for normal-sized keys, nor does a leak to the child processes directly expose key material to unprivileged users.

CVE assignment:

http://seclists.org/oss-sec/2016/q4/708

External References:

https://www.openssh.com/txt/release-7.4

Comment 2 Andrej Nemec 2016-12-20 08:41:29 UTC
Created openssh tracking bugs for this issue:

Affects: fedora-all [bug 1406296]

Comment 3 Huzaifa S. Sidhpurwala 2017-01-16 06:11:30 UTC
Statement:

It seems that this flaw is not practically exploitable, the leak of host private key material to the privilege-separated child processes is theoretical. No such leak was observed in practice for normal-sized keys, nor does a leak to the child processes directly expose key material to unprivileged users. Because of the this restriction for successful exploitation, this issue has been rated as having Low security impact. A future update may address this flaw.

Comment 4 errata-xmlrpc 2017-08-01 18:45:35 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:2029 https://access.redhat.com/errata/RHSA-2017:2029


Note You need to log in before you can comment on or make changes to this bug.